jakarta-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oleg Kalnichevski <ol...@apache.org>
Subject Re: [VOTE] Release JMeter 2.5.1 RC2
Date Mon, 26 Sep 2011 19:04:33 GMT
On Sun, 2011-09-25 at 12:01 +0000, Milamber wrote:
> Hello,
> 
> The second release candidate for JMeter 2.5.1 has been prepared, and your
> votes are solicited.
> 
> This release fixes mainly some bugs appeared since JMeter 2.5, but
> contains few improvements.
> 
> Tests (load tests or functional tests) with JVM 5/6/7 on
> Linux/Windows/Mac OS on functionality changes are welcomes (HttpClient
> 4.1 request, Http request with parallels embedded resources, View
> results tree, WebServices (SOAP) request, Async sample sending mode, etc)
> 
> List of changes:
> http://people.apache.org/~milamber/jmeter-2.5.1RC2/docs/changes.html
> 
> 
> JMeter is a Java desktop application designed to load test functional
> behavior and measure performance. The current version is targeted at
> Java 1.5+.
> 
> Archives/hashes/sigs and RAT report:
> 
> http://people.apache.org/~milamber/jmeter-2.5.1RC2/dist
> 
> MD5 hashes of archives for this vote:
> 
> abc0d327d19f3e138955de5082c000b3 *jakarta-jmeter-2.5.1.tgz
> 3e69786253880a1293e245519cba4ad3 *jakarta-jmeter-2.5.1.zip
> cdc73f4db83dee52d216c74c2a323721 *jakarta-jmeter-2.5.1_src.tgz
> 3f294979e6c696bba91d62c2ec5f0473 *jakarta-jmeter-2.5.1_src.zip
> 
> Site Docs are here:
> http://people.apache.org/~milamber/jmeter-2.5.1RC2/docs
> 
> Tag:
> http://svn.apache.org/repos/asf/jakarta/jmeter/tags/v2_5_1_RC2 (r1175373)
> 
> Keys are here:
> http://svn.apache.org/repos/asf/jakarta/site/dist/jmeter/
> also
> http://people.apache.org/~milamber/
> 
> N.B.
> To download the dependencies: "ant download_jars"
> 
> To create the jars and test JMeter: "ant package test".
> 
> JMeter 2.5 requires Java 1.5 or later.
> 
> Note that there is a bug in Java on some Linux systems that manifests
> itself as the following error when running the test cases or JMeter itself:
> 
>  [java] WARNING: Couldn't flush user prefs:
>  java.util.prefs.BackingStoreException:
>  java.lang.IllegalArgumentException: Not supported: indent-number
> 
> This does not affect JMeter operation.
> 
> 
> All feedback (and votes!) welcome.
> 
> [  ] +1  I support this release
> [  ] +0  I am OK with this release
> [  ] -0   OK, but....
> [  ] -1   I do not support this release (please indicate why)
> 
> The vote will remain open for at least 72 hours.
> 
> Note: If the vote passes, the intention is to release the archive files
> and rename the RC tag as the release tag.
> 
> Thanks in advance!
> 
> Milamber
> 


I am seeing this error while trying to get all requisite dependencies
with 'ant download_jars' 

_get_jarfile:

_get_zipfile:
      [get] Getting:
http://prdownloads.sourceforge.net/htmlparser/HTMLParser-2.0-SNAPSHOT-bin.zip
      [get]
To: /home/oleg/Downloads/jakarta-jmeter-2.5.1/build/HTMLParser-2.0-SNAPSHOT-bin.zip
      [get] Not modified - so not downloaded

BUILD FAILED
/home/oleg/Downloads/jakarta-jmeter-2.5.1/build.xml:2202: The following
error occurred while executing this line:
/home/oleg/Downloads/jakarta-jmeter-2.5.1/build.xml:2172: The following
error occurred while executing this line:
/home/oleg/Downloads/jakarta-jmeter-2.5.1/build.xml:2064: The following
error occurred while executing this line:
/home/oleg/Downloads/jakarta-jmeter-2.5.1/build.xml:2093: The following
error occurred while executing this line:
/home/oleg/Downloads/jakarta-jmeter-2.5.1/build.xml:2101: The <unwar>
type doesn't support the nested "mapper" element.

Is this a common issue?

Oleg



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: dev-help@jakarta.apache.org


Mime
View raw message